at.chipkarte.client.elgaad.soap

## Class ImpfrelevanteErkrankung

- Object
- - at.chipkarte.client.elgaad.soap.ImpfrelevanteErkrankung

-     public class ImpfrelevanteErkrankung
      extends Object

  Informationen zu einer Impfrelevanten Erkrankung

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImpfrelevanteErkrankung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Kommentar` | `getAnmerkung()` Anmerkungen.
    `AuthorBody` | `getAuthor()` Autor.
    `String` | `getEnde()` Ende der Krankheit.
    `Code` | `getErkrankung()` Erkrankung.
    `DokumentReferenz` | `getReferenz()` Referenz auf das Dokument mit dem eingetragen wurde.
    `String` | `getStart()` Datum, seit dem die Krankheit aktiv ist.
    `String` | `getStatus()` Status.
    `String` | `getText()` Text.
    `boolean` | `isStartUnbekannt()` Gibt an, dass das Beginndatum der Krankheit unbekannt ist (nicht einmal das Jahr).
    `void` | `setAnmerkung(Kommentar anmerkung)`
    `void` | `setAuthor(AuthorBody author)`
    `void` | `setEnde(String ende)`
    `void` | `setErkrankung(Code erkankung)`
    `void` | `setReferenz(DokumentReferenz referenz)`
    `void` | `setStart(String start)`
    `void` | `setStartUnbekannt(boolean startUnbekannt)`
    `void` | `setStatus(String status)`
    `void` | `setText(String text)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImpfrelevanteErkrankung

          public ImpfrelevanteErkrankung()

  - ### Method Detail

    - #### getAuthor

          public AuthorBody getAuthor()

      Autor. Siehe `AuthorBody`.
      Angabe: Kann.
      Returns:
        Autor.

    - #### setAuthor

          public void setAuthor(AuthorBody author)

    - #### getReferenz

          public DokumentReferenz getReferenz()

      Referenz auf das Dokument mit dem eingetragen wurde. Siehe `DokumentReferenz`.
      Angabe: Keine Eingabe erlaubt. Nur für die Ausgabe.
      Returns:
        Referenz auf das Dokument

    - #### setReferenz

          public void setReferenz(DokumentReferenz referenz)

    - #### getStatus

          public String getStatus()

      Status.
      Angabe: Muss.
      mögliche Werte: Siehe `StatusConstants`.
      Returns:
        Status.

    - #### setStatus

          public void setStatus(String status)

    - #### getStart

          public String getStart()

      Datum, seit dem die Krankheit aktiv ist.
      Angabe: Bedingt. Wenn das Datum nicht bekannt ist, muss `startUnbekannt` gesetzt sein (in diesem Fall ist `start` leer zu lassen).
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 7 stellig im Format `MM.JJJJ` oder 4 stellig im Format `JJJJ`.
      Returns:
        Start

    - #### setStart

          public void setStart(String start)

    - #### isStartUnbekannt

          public boolean isStartUnbekannt()

      Gibt an, dass das Beginndatum der Krankheit unbekannt ist (nicht einmal das Jahr).
      Angabe: Bedingt. Muss gesetzt sein, wenn `start` nicht gesetzt ist.
      Returns:

    - #### setStartUnbekannt

          public void setStartUnbekannt(boolean startUnbekannt)

    - #### getEnde

          public String getEnde()

      Ende der Krankheit.
      Angabe: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ`
      Returns:
        Ende

    - #### setEnde

          public void setEnde(String ende)

    - #### getErkrankung

          public Code getErkrankung()

      Erkrankung. Siehe `Code`.
      Angabe: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets eImpf_ImpfrelevanteErkrankungen_VS
      Returns:
        Erkrankung

    - #### setErkrankung

          public void setErkrankung(Code erkankung)

    - #### getAnmerkung

          public Kommentar getAnmerkung()

      Anmerkungen. Siehe `Kommentar`.
      Angabe: Kann.
      Returns:
        Anmerkung

    - #### setAnmerkung

          public void setAnmerkung(Kommentar anmerkung)

    - #### getText

          public String getText()

      Text.
      Angabe: Kann.
      Returns:
        Text

    - #### setText

          public void setText(String text)